import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

import java.util.Random;
import java.awt.Color;

/**
 * Un monde où un act01 mange des feuilles.
 * 
 * @author Bernard Gisin
 * @version 0.1
 */

public class MyWorld extends World
{
   static int MaxFeuilles = 5;
   cAct01 act01;
   cAct02 act02;
   RectangleBas rectbas;
   
    /**
     * Crée le monde de 8 x 9 cellules.
     * La taille d'une cellule est de 60x60 pixels
     */
    public MyWorld() 
    {
        super(480, 540, 1);        
        setBackground("cell.jpg");
        
        populate();
    }

    /**
     * Place les feuilles, l'act01 le fond du compteur et le compteur.
     */    
    public void populate()
    {

        act02 = new cAct02();
        addObject(act02, 190, 210);

        // Place la balle en sur le quadrillage       
        act01 = new cAct01();
        addObject(act01, 210, 210);

        // Pour le fond du compteur
        rectbas = new RectangleBas();
        addObject(rectbas,230,510);
        
        GreenfootImage image = new GreenfootImage(8*60+60, 55);
        image.setColor(new Color(255, 255, 150));
        image.fillRect(0, 0, 540, 55);
        rectbas.setImage(image);
        
        // Pour le compteur de nombre de déplacement.
        Counter c1 = new Counter();
        addObject(c1, 80, 510);
    }
  
}